## dde-qt5platform-plugins 5.0.59

=== debian/changelog ===
dde-qt5platform-plugins (5.0.59-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 22 Feb 2022 13:38:17 +0800

dde-qt5platform-plugins (5.0.0-1) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 06 May 2020 11:59:02 +0800

qt5dxcb-plugin (1.0.0-1) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 08 Nov 2016 15:10:02 +0800

## dde-qt5platform-plugins 5.0.65

=== debian/changelog ===
dde-qt5platform-plugins (5.0.65-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Jun 2022 11:10:55 +0800

## dde-qt5platform-plugins 5.7.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

cmake_minimum_required(VERSION 3.13)

set(DTK_VERSION
    "5.6.8"
    CACHE STRING "define project version"
)

project(qt5platform-plugins
    VERSION ${DTK_VERSION}
    DESCRIPTION "DTK platform plugin module"
    HOMEPAGE_URL "https://github.com/linuxdeepin/qt5platform-plugins"
    LANGUAGES CXX C
)

if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

option(BUILD_TESTING "Build tests" ON)

if("${PROJECT_VERSION_MAJOR}" STREQUAL "5")
    set(QT_VERSION_MAJOR "5")
elseif("${PROJECT_VERSION_MAJOR}" STREQUAL "6")
    set(QT_VERSION_MAJOR "6")
    set(DTK_VERSION_MAJOR "6")
else()
    message(SEND_ERROR "not support Prject Version ${PROJECT_VERSION}.")
endif()
message(${PROJECT_VERSION_MAJOR})

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(REQUIRED_QT_VERSION 5.15.0)
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(BUILD_TESTING ON)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O0 -g -fno-omit-frame-pointer")
else ()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Ofast")
endif ()
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/plugins/platforms)

add_subdirectory(xcb)
if("${PROJECT_VERSION_MAJOR}" STREQUAL "5")
    add_subdirectory(wayland)
endif()
if(BUILD_TESTING AND NOT ${CMAKE_SYSTEM_PROCESSOR} MATCHES "loongarch")
    enable_testing()
    add_subdirectory(tests)
endif()
message(${PROJECT_VERSION_MAJOR})

## dde-qt5platform-plugins 5.0.68

=== debian/changelog ===
dde-qt5platform-plugins (5.0.68-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 31 Aug 2022 15:23:09 +0800

=== debian/control ===
Source: dde-qt5platform-plugins
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>=9), qtbase5-dev, qtbase5-private-dev,
 pkg-config, libqt5x11extras5-dev, libxcb-xkb-dev, libxcb-render-util0-dev,
 libxcb-image0-dev, libxcb-icccm4-dev, libxcb-keysyms1-dev, libegl1-mesa-dev,
 libmtdev-dev, libxkbcommon-x11-dev, libdbus-1-dev, libqt5opengl5-dev,
 libudev-dev, libxrender-dev,libxi-dev, libsm-dev, libxcb-xinerama0-dev,
 libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev, libxcb-damage0-dev,
 libxcb-composite0-dev, libcairo2-dev, libkf5wayland-dev, qtwayland5-private-dev | libqt5waylandclient5-dev,
 libwayland-dev, libxcb-xinput-dev, libxcb-util-dev | libxcb-util0-dev,
 libx11-xcb-dev, libxcb-sync-dev, libxcb-randr0-dev
Standards-Version: 3.9.8

Package: dde-qt5xcb-plugin
Architecture: any
Provides: libqt5dxcb-plugin
Conflicts: libqt5dxcb-plugin, qt5dxcb-plugin
Breaks:dde-qt5integration (<< 0.2.8.1)
Replaces: qt5dxcb-plugin
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt platform plugins
 Qt platform plugins for DDE.

Package: dde-qt5wayland-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qtwayland5
Description: Qt platform plugins
 Qt platform plugins for DDE.

## dde-qt5platform-plugins 5.0.70

=== debian/changelog ===
dde-qt5platform-plugins (5.0.70-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 13 Oct 2022 15:00:55 +0800

## dde-qt5platform-plugins 5.0.71

=== debian/changelog ===
dde-qt5platform-plugins (5.0.71-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 28 Nov 2022 15:04:54 +0800

dde-qt5platform-plugins (5.0.71) unstable; urgency=medium

  * Release 5.0.71

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 24 Nov 2022 13:34:12 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,8 @@
  libmtdev-dev, libxkbcommon-x11-dev, libdbus-1-dev, libqt5opengl5-dev,
  libudev-dev, libxrender-dev,libxi-dev, libsm-dev, libxcb-xinerama0-dev,
  libfontconfig1-dev, libfreetype6-dev, libglib2.0-dev, libxcb-damage0-dev,
- libxcb-composite0-dev, libcairo2-dev, libkf5wayland-dev, qtwayland5-private-dev | libqt5waylandclient5-dev,
+ libxcb-composite0-dev, libcairo2-dev, libdwayland-dev | libkf5wayland-dev,
+  qtwayland5-private-dev | libqt5waylandclient5-dev,
  libwayland-dev, libxcb-xinput-dev, libxcb-util-dev | libxcb-util0-dev,
  libx11-xcb-dev, libxcb-sync-dev, libxcb-randr0-dev
 Standards-Version: 3.9.8

## dde-qt5platform-plugins 5.6.32

=== debian/changelog ===
dde-qt5platform-plugins (5.6.32) unstable; urgency=medium

  * fix: window border properties cannot change in real time(Issue: https://github.com/linuxdeepin/developer-center/issues/8342)(Influence: 边界颜色,边框宽度,阴影颜色,偏移量等窗口属性能实时变化)

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 Jul 2024 02:29:21 +0000

dde-qt5platform-plugins (5.6.31) unstable; urgency=medium

  * feat: support to qt 6.7.1
  * fix: change qt_assert to Q_ASSERT (#246)
    Thanks to Whale107

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jun 2024 09:11:34 +0000

dde-qt5platform-plugins (5.6.30) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 30 May 2024 02:46:31 +0000

dde-qt5platform-plugins (5.6.29) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 13 May 2024 03:02:54 +0000

dde-qt5platform-plugins (5.6.28) unstable; urgency=medium

  * fix: Need link Qt6DBus library
    Thanks to Hillwood Yang

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 29 Apr 2024 08:23:39 +0000

dde-qt5platform-plugins (5.6.27) unstable; urgency=medium

  * fix: BlurArea unpack error in qt5
  * fix: 修复阴影补偿属性无法设置的问题(Bug: 242761)(Influence: 阴影补偿属性)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 19 Apr 2024 08:55:35 +0000

dde-qt5platform-plugins (5.6.26) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 26 Mar 2024 05:47:35 +0000

dde-qt5platform-plugins (5.6.25) unstable; urgency=medium

  * another clean fix for #231 (#232)
    Thanks to Keeyou
  * chore: avoid build error

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 11 Mar 2024 01:16:26 +0000

dde-qt5platform-plugins (5.6.22) unstable; urgency=medium

  * fix #7057

 -- Mike Chen <chenke@deepin.org>  Thu, 25 Jan 2024 16:14:18 +0800

dde-qt5platform-plugins (5.6.21) unstable; urgency=medium

  * release 5.6.21

 -- Mike Chen <chenke@deepin.org>  Tue, 16 Jan 2024 20:09:03 +0800

dde-qt5platform-plugins (5.6.20) unstable; urgency=medium

  * release 5.6.20

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 29 Nov 2023 10:01:18 +0800

dde-qt5platform-plugins (5.6.16) unstable; urgency=medium

  * fix: ensue ddeshell failed
  * fix: typo ddeepin -> deepin
  * chore: change qmake to cmake (#185)
    Thanks to WangFei
  * chore: Add header files about xcb from Qt6
  * chore: Support Qt6
  * chore: set the default install prefix of cmake
  * chore: add the XcbQpaPrivate module in qt6 version
  * fix: application crashed when moving window
  * chore: resolve the warnings about deprecated-declarations
  * chore: resolve the warning from cmake
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * fix: build failed in archlinux
  * chore: add unit test
  * fix: undefine symbol
  * fix: heap use after free
  * fix: unit test failed (setWindowRadius)
  * Revert "fix: unit test failed (setWindowRadius)"
  * fix: call setWindowRadius failed
  * chore: add unit test
  * chore: link to target directly on unit test
  * chore: Adapt to Qt 6.4.2
  * fix: can't find qeventpoint_p.h in qt5
  * chore: remove XcbQpaPrivate module on qt6
  * chore: add dtkcommon depency

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 24 Aug 2023 15:47:39 +0800

dde-qt5platform-plugins (5.6.12) unstable; urgency=medium

  * Release 5.6.12
  * FIX qt app server decoration not created in wayland

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 15 May 2023 11:32:41 +0800

dde-qt5platform-plugins (5.6.11) unstable; urgency=medium

  * Release 5.6.11
  * FIX dtk#63
  * FIX bug-195723 primary screen not right at startup

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 08 May 2023 13:57:30 +0800

dde-qt5platform-plugins (5.6.9) unstable; urgency=medium

  * Release 5.6.9

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 10:24:44 +0800

dde-qt5platform-plugins (5.6.5) unstable; urgency=medium

  * Release 5.6.5

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Feb 2023 14:17:33 +0800

dde-qt5platform-plugins (5.6.3) unstable; urgency=medium

  * Release 5.6.3

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 12 Dec 2022 17:28:22 +0800

## dde-qt5platform-plugins 5.7.1

=== debian/changelog ===
dde-qt5platform-plugins (5.7.1) unstable; urgency=medium

  * fix: 向日葵中点击文管窗口标题时直接进入移动窗口状态(Bug: 261679)(Influence: 窗口移动)
  * fix: 共享库二进制兼容(Bug: 261679)
  * fix: incorect window movement when selecting files(Issue: https://github.com/linuxdeepin/developer-center/issues/10165)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 16 Oct 2024 03:30:45 +0000

dde-qt5platform-plugins (5.6.34) unstable; urgency=medium

  * feat: support to change window effects(Bug: 244347)
  * fix: compl error in deepin
  * chore: code style

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 20 Aug 2024 05:03:51 +0000

## dde-qt5platform-plugins 5.7.5

=== debian/changelog ===
dde-qt5platform-plugins (5.7.5) unstable; urgency=medium

  * fix: app crashed when QBytearray reallocated

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 12 Dec 2024 03:03:54 +0000

dde-qt5platform-plugins (5.7.4) unstable; urgency=medium

  * fix: app crashed when window destroyed in quick
  * fix: hasVtable is incorrect when destructing
  * fix: app crashed when window destroyed in quick

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 03 Dec 2024 02:00:46 +0000

dde-qt5platform-plugins (5.7.3) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 20 Nov 2024 02:19:06 +0000

dde-qt5platform-plugins (5.7.2) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 13 Nov 2024 01:53:26 +0000

## dde-qt5platform-plugins 5.7.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,8 +22,6 @@
 
 include(GNUInstallDirs)
 include(CMakePackageConfigHelpers)
-
-option(BUILD_TESTING "Build tests" ON)
 
 if("${PROJECT_VERSION_MAJOR}" STREQUAL "5")
     set(QT_VERSION_MAJOR "5")
@@ -54,7 +52,7 @@
 if("${PROJECT_VERSION_MAJOR}" STREQUAL "5")
     add_subdirectory(wayland)
 endif()
-if(BUILD_TESTING AND NOT ${CMAKE_SYSTEM_PROCESSOR} MATCHES "loongarch")
+if(BUILD_TESTING)
     enable_testing()
     add_subdirectory(tests)
 endif()

=== wayland/wayland-shell/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

project(kwayland-shell)

find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Gui Widgets WaylandClient)

if(${QT_VERSION_MAJOR} STREQUAL "5")
    find_package(Qt5 REQUIRED COMPONENTS XkbCommonSupport)
endif()

include(wayland-shell.cmake)

try_compile(DEEPIN_KWIN_TEST_COMPILE_RESULT ${CMAKE_CURRENT_BINARY_DIR}/deepin-kwin-test
    ${CMAKE_CURRENT_LIST_DIR}/config.tests/deepin-kwin-test deepin-kwin-test CMAKE_FLAGS -DQT_VERSION_MAJOR=${QT_VERSION_MAJOR})

try_compile(WAYLAND_TEST_COMPILE_RESULT ${CMAKE_CURRENT_BINARY_DIR}/wayland_test
    ${CMAKE_CURRENT_LIST_DIR}/config.tests/wayland_test wayland_test CMAKE_FLAGS -DQT_VERSION_MAJOR=${QT_VERSION_MAJOR})

if(WAYLAND_TEST_COMPILE_RESULT)
    add_definitions(-DUSE_DEEPIN_WAYLAND)
    set(GLOBAL_HEADERS
        dwaylandshellmanager.h
        dkeyboard.h
        ${CMAKE_SOURCE_DIR}/src/global.h
        ${CMAKE_SOURCE_DIR}/src/vtablehook.h
    )
    set(GLOBAL_SOURCES
        dwaylandshellmanager.cpp
        dkeyboard.cpp
        ${CMAKE_SOURCE_DIR}/src/global.cpp
        ${CMAKE_SOURCE_DIR}/src/vtablehook.cpp
    )
else()
    message(WARNING "QtWayland version incompatible")
endif()

add_library(${PROJECT_NAME} MODULE main.cpp ${GLOBAL_SOURCES} ${GLOBAL_HEADERS})
set_target_properties(${PROJECT_NAME} PROPERTIES
    LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins/wayland-shell-integration
)

target_compile_definitions(${PROJECT_NAME}
    PRIVATE
    QT5DWAYLANDPLUGIN_LIBRARY
    QT_DEPRECATED_WARNINGS
)

if(DEEPIN_KWIN_TEST_COMPILE_RESULT)
    target_compile_definitions(${PROJECT_NAME} PRIVATE D_DEEPIN_KWIN)
endif()

target_include_directories(${PROJECT_NAME} PRIVATE ${CMAKE_SOURCE_DIR}/src)

list(APPEND COMMON_LIBS
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::GuiPrivate
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::WidgetsPrivate
    Qt${QT_VERSION_MAJOR}::WaylandClient
)
if(${QT_VERSION_MAJOR} STREQUAL "5")
    list(APPEND COMMON_LIBS Qt5::XkbCommonSupportPrivate Qt5::WaylandClientPrivate)
endif()

target_link_libraries(${PROJECT_NAME} ${COMMON_LIBS})

if(NOT INSTALL_PATH)
    set(INSTALL_PATH ${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/plugins/wayland-shell-integration)
endif()
install(TARGETS ${PROJECT_NAME} DESTINATION ${INSTALL_PATH})

=== debian/changelog ===
dde-qt5platform-plugins (5.7.14) unstable; urgency=medium

  * Release 5.7.14

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 21:52:12 +0800

dde-qt5platform-plugins (5.7.13) unstable; urgency=medium

  * fix: adapt to qt6 for PlatformWindowHelper

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 20 Mar 2025 17:06:50 +0800

dde-qt5platform-plugins (5.7.12) unstable; urgency=medium

  * fix: ToolTip's xsettings can't work in qt6
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp (#272)

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 06 Mar 2025 17:30:19 +0800

dde-qt5platform-plugins (5.7.11) unstable; urgency=medium

  * fix: DForeignWindow can't work in qt6

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Feb 2025 20:48:29 +0800

dde-qt5platform-plugins (5.7.10) unstable; urgency=medium

  * Release 5.7.10

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 17:19:06 +0800

dde-qt5platform-plugins (5.7.9) unstable; urgency=medium

  * chore: disable ut by default

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 23 Jan 2025 09:07:08 +0000

dde-qt5platform-plugins (5.7.8) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 14 Jan 2025 11:17:31 +0000

dde-qt5platform-plugins (5.7.7) unstable; urgency=medium

  * chore: mips64 disable compile unit test binaries mips64 disable compile unit test binaries
  * 	fix: after setting the cursor theme, it will not update in real-time.
  * fix: DNotitlebarWindowHelper can't be removed from mapped

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Jan 2025 09:28:39 +0000

dde-qt5platform-plugins (5.7.6) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 02 Jan 2025 05:43:52 +0000

## dde-qt5platform-plugins 5.7.16

=== debian/changelog ===
dde-qt5platform-plugins (5.7.16) unstable; urgency=medium

  * Release 5.7.16

 -- YeShanShan <yeshanshan@uniontech.com>  Mon, 19 May 2025 17:22:28 +0800

dde-qt5platform-plugins (5.7.15) unstable; urgency=medium

  * Release 5.7.15

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 17:53:29 +0800

## dde-qt5platform-plugins 5.7.18

=== debian/changelog ===
dde-qt5platform-plugins (5.7.18) unstable; urgency=medium

  * Release 5.7.18

 --  yeshanshan <yeshanshan@uniontech.com>  Fri, 27 Jun 2025 17:08:55 +0800

dde-qt5platform-plugins (5.7.17) unstable; urgency=medium

  * Release 5.7.17

 -- yeshanshan <yeshanshan@uniontech.com>  Thu, 19 Jun 2025 10:07:58 +0800

## dde-qt5platform-plugins 5.7.19

=== debian/changelog ===
dde-qt5platform-plugins (5.7.19) unstable; urgency=medium

  * Release 5.7.19

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 03 Jul 2025 21:11:44 +0800

=== debian/rules ===
#!/usr/bin/make -f

# 安全编译参数
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_CXXFLAGS_MAINT_APPEND = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E

%:
	dh $@ 

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

## dde-qt5platform-plugins 5.7.21

=== debian/changelog ===
dde-qt5platform-plugins (5.7.21) unstable; urgency=medium

  * Release 5.7.21

 --  yeshanshan <packages@deepin.org>  Thu, 14 Aug 2025 19:48:22 +0800

dde-qt5platform-plugins (5.7.20) unstable; urgency=medium

  * Release 5.7.20

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 31 Jul 2025 19:59:56 +0800

## dde-qt5platform-plugins 5.7.24

=== wayland/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

add_subdirectory(dwayland)
add_subdirectory(wayland-shell)

=== xcb/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: LGPL-3.0-or-later

project(dxcb)

find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Gui Widgets)
if(${QT_VERSION_MAJOR} STREQUAL "5")
    find_package(Qt5 REQUIRED COMPONENTS XcbQpa X11Extras EdidSupport XkbCommonSupport)
else()
    find_package(Qt6 REQUIRED COMPONENTS OpenGL XcbQpaPrivate)
    if(Qt6_VERSION VERSION_GREATER_EQUAL 6.10)
      find_package(Qt6 COMPONENTS OpenGLPrivate REQUIRED)
    endif()
endif()

# NOTE(sbw): 禁止语法树上的 vrp 优化，-O2/-O3 默认开启，会导致测试虚析构函数 HOOK 失败
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-tree-vrp" CACHE STRING "disable vrp optimization" FORCE)

add_definitions(-DDXCB_VERSION=\"${DTK_VERSION}\")
if(CMAKE_BUILD_TYPE STREQUAL "Release")
    add_definitions(-DQT_NO_DEBUG_OUTPUT=TRUE)
endif()

include(${CMAKE_CURRENT_LIST_DIR}/xcb.cmake)
include(${CMAKE_SOURCE_DIR}/src/src.cmake)

add_library(${PROJECT_NAME} SHARED ${GLOBAL_HEADERS} ${GLOBAL_SOURCES} ${xcb_SRC} ${DBUS_INTERFACE_XMLS})

include(${CMAKE_CURRENT_LIST_DIR}/linux.cmake)

set(EnableCov CACHE BOOL FALSE)
if (EnableCov)
    find_package(DtkBuildHelper REQUIRED)
    dtk_setup_code_coverage(${PROJECT_NAME})
endif()

target_link_libraries(${PROJECT_NAME}
PRIVATE
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::CorePrivate
    Qt${QT_VERSION_MAJOR}::DBus
    Qt${QT_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::GuiPrivate
    Qt${QT_VERSION_MAJOR}::Widgets
)
if(${QT_VERSION_MAJOR} STREQUAL "5")
    target_link_libraries(${PROJECT_NAME}
    PRIVATE
        Qt5::XcbQpa
        Qt5::EdidSupport
        Qt5::EdidSupportPrivate
        Qt5::XkbCommonSupport
        Qt5::XkbCommonSupportPrivate
        Qt5::X11Extras
    )
else()
    target_link_libraries(${PROJECT_NAME} PRIVATE Qt6::OpenGL Qt6::OpenGLPrivate Qt6::XcbQpaPrivate)
endif()

if(NOT INSTALL_PATH)
    set(INSTALL_PATH ${CMAKE_INSTALL_LIBDIR}/qt${QT_VERSION_MAJOR}/plugins/platforms)
endif()
install(TARGETS ${PROJECT_NAME} DESTINATION ${INSTALL_PATH})

=== debian/changelog ===
dde-qt5platform-plugins (5.7.24) unstable; urgency=medium

  * Release 5.7.24

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 16 Oct 2025 19:46:51 +0800

dde-qt5platform-plugins (5.7.23) unstable; urgency=medium

  * Release 5.7.23

 --  yeshanshan <packages@deepin.org>  Thu, 25 Sep 2025 16:49:34 +0800

dde-qt5platform-plugins (5.7.22) unstable; urgency=medium

  * Release 5.7.22

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 04 Sep 2025 19:27:32 +0800

## dde-qt5platform-plugins 5.7.26

=== debian/changelog ===
dde-qt5platform-plugins (5.7.26) unstable; urgency=medium

  * Release 5.7.26

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 06 Nov 2025 17:02:58 +0800

dde-qt5platform-plugins (5.7.25) unstable; urgency=medium

  * Release 5.7.25

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 30 Oct 2025 21:47:08 +0800
